<?php
/*
 * Plugin Name: Pipe Audio Video and Screen Recorder
 * Plugin URI: https://addpipe.com/docs/plugins/wordpress-plugin/
 * Description: This plugin simplifies the integration between the Pipe Platform and WordPress. It lets your website users and visitors record audio, video, and screen recordings directly from your WP pages and blog posts, and it allows you to make and manage such recordings from the WP backend, including embedding them for playback in any page or post. This plugin requires an https://addpipe.com trial account or subscription.
 * Author: Pipe Services SRL
 * Author URI: https://addpipe.com
 * License: GPLv3
 * License URI: http://www.gnu.org/licenses/gpl-3.0
 * Version: 1.0.6
 */

/*
 * Load the main class
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
require_once 'load/AddPipe.php';

/*
 * Register the install / uninstall hooks
 */
register_activation_hook(__FILE__, array('AddPipe', 'addpipeInstall'));
register_uninstall_hook(__FILE__, array('AddPipe', 'addpipeUninstall'));

/*
 * Run the plugin
 */
$addpipe = new AddPipe();
$addpipe->run();
