jQuery(document).ready(function ($) {
  // Template buttons
  $(".use-template").click(function () {
    const shortcodeData = $(this).data("shortcode");
    if (!shortcodeData) return;
    // Loop through the object's key-value pairs
    $.each(shortcodeData, function (key, value) {
      // Check if the key starts with "recording_"
      if (key.startsWith("recording_")) {
        // Set the values of the form
        const id = key.substring(6);
        $(`#${id}`).val(value);
      }
    });
  });

  // More options button
  $("#more-options-button").click(function () {
    $(".more-options-option").toggle();
  });

  function validateInputs() {
    // Check each input field
    let invalidInputs = 0;
    $("#length, #width, #height").each(function () {
      if ($(this).val().trim() === "") {
        // Display error message for empty input
        alert("Please fill in all required fields.");
        invalidInputs++;
        return; // Stop further processing
      }
    });
    return invalidInputs === 0;
  }

  var settingsBody = $(".settings-body");
  var buttonSave = $("#button-save-settings");

  buttonSave.click(function () {
    // Validate inputs before proceeding
    if (!validateInputs()) {
      return false; // Stop further processing
    }

    // Mangle the DOM
    settingsBody.slideUp();
    settingsBody.after(
      "<h3 id='message-saving-settings'>Generating shortcode...</h3>"
    );
    buttonSave.hide();

    // Setup the data object
    data = {
      action: "addpipe_ajax_shortcode_generator",
      _wpnonce: addpipeAdmin._wpnonce, // Value set when the script is enqueued
      length: $("#length").val(),
      quality: $("#quality option:selected").val(),
      env: $("#env").val(),
      width: $("#width").val(),
      height: $("#height").val(),
      asv: $("#asv").val(),
      ao: $("#recType").val() === "1" ? "1" : "0",
      showMenu: $("#showMenu").val(),
      sis: $("#sis").val(),
      dup: $("#dup").val(),
      srec: $("#recType").val() === "2" ? "1" : "0",
      countdowntimer: $("#countdowntimer").val(),
      bgblur: $("#bgblur").val(),
    };

    // Post it and write the message
    setTimeout(function () {
      $.post(ajaxurl, data, function (response) {
        $("#message-saving-settings").html(response);
      });
    }, 1000);

    return false;
  });
});
