// The global recorder object
let RECORDER_OBJECT = null;

jQuery(document).ready(function ($) {
    // More options button
    $('#more-options-button').click(function () {
        $('.more-options-option').toggle();
    });

    function validateInputs() {
        // Check each input field
        let invalidInputs = 0;
        $('#length, #width, #height').each(function () {
            if ($(this).val().trim() === '') {
                // Display error message for empty input
                alert('Please fill in all required fields.');
                invalidInputs++;
                return; // Stop further processing
            }
        });
        return invalidInputs === 0;
    }

    var buttonSave = $('#button-save-settings');

    buttonSave.click(function () {
        // Validate inputs before proceeding
        if (!validateInputs()) {
            return false; // Stop further processing
        }

        // Setup the data object
        data = {
            size: {
                width: $('#width').val(),
                height: $('#height').val(),
            },
            mrt: $('#length').val(),
            qualityurl: "avq/" + $('#quality option:selected').val() + ".xml",
            eid: $('#env').val(),
            asv: $('#asv').val(),
            ao: $('#recType').val() === "1" ? "1" : "0",
            showMenu: $('#showMenu').val(),
            sis: $('#sis').val(),
            dup: $('#dup').val(),
            srec: $('#recType').val() === "2" ? "1" : "0",
            countdowntimer: $('#countdowntimer').val(),
            bgblur: $('#bgblur').val(),
            avrec: 1,
            accountHash: addpipeAdmin.accountHash,
            payload: addpipeAdmin.payload + `,${$('#env').val()}`
        };

        if (!PipeSDK) return; // PipeSDK has not loaded

        if (RECORDER_OBJECT !== null) {
            RECORDER_OBJECT.remove && RECORDER_OBJECT.remove(); // Remove the old recorder
        }

        PipeSDK.insert("pipe-recorder", data, (recorderObject) => {
            RECORDER_OBJECT = recorderObject;
        })
    });

    // Simulate a button click
    buttonSave.click();
})