jQuery(document).ready(function ($) {
  var settingsBody = $(".settings-body");
  var buttonSave = $("#button-save-settings");

  buttonSave.click(function () {
    // Grab the data
    const accountHash = ($("#accountHash").val() || "").trim();
    const envId = ($("#envId").val() || "").trim();
    const pipeWebhookKey = ($("#pipeWebhookKey").val() || "").trim();

    if (!accountHash || accountHash.length !== 32) {
      alert("Please enter a valid Account Hash");
      return;
    }

    if (!envId || envId.length !== 6) {
      alert("Please enter a valid Environment code");
      return;
    }

    // Mangle the DOM
    settingsBody.slideUp();
    settingsBody.after(
      "<h3 id='message-saving-settings'>Saving new settings...</h3>"
    );
    buttonSave.hide();

    // Setup the data object
    data = {
      action: "addpipe_ajax_save_settings",
      _wpnonce: addpipeAdmin._wpnonce,
      accountHash: accountHash,
      envId: envId,
      pipeWebhookKey: pipeWebhookKey,
    };

    // Post it and write the message
    setTimeout(function () {
      $.post(ajaxurl, data, function (response) {
        $("#message-saving-settings").html(response);
      });
    }, 500);

    return false;
  });
});
