<?php
if (!defined( 'ABSPATH' )) {
    die('Unauthorized access');
}

// Verify nonce to prevent unauthorized downloads
if (!isset($_GET['_wpnonce']) || !wp_verify_nonce(sanitize_text_field(wp_unslash($_GET['_wpnonce'])), 'addpipe_download')) {
    die('Invalid request');
}

if (isset($_GET['file'])) {
    $fileUrl = isset($_GET['file']) ? esc_url_raw(wp_unslash($_GET['file'])) : '';
    
    // Get the file content
    $fileContent = file_get_contents($fileUrl);

    // Set headers to force download
    header('Content-Type: application/octet-stream');
    header('Content-Disposition: attachment; filename="' . basename($fileUrl) . '"');
    header('Content-Length: ' . strlen($fileContent));

    // Output the file content
    echo esc_html($fileContent);
    exit;
} else {
    echo 'No file specified.';
}
