<?php

// No direct access
if (!defined('ABSPATH')) {
    die('Error #845173685');
}

?>
<div class="wrap">
    <div class="settings-container">
        <h3>Get an addpipe.com account</h3>
        <p>A Pipe account is needed to use this plugin and the <a href="https://addpipe.com" target="_blank">Pipe Platform</a>. If you don't have an account, you can sign up for a free, fully featured, 14 days trial. Just go to <a href="https://dashboard.addpipe.com/signup" target="_blank">https://dashboard.addpipe.com/signup</a> and create your account, it only takes 1 minute.</p>
        <a class="button-primary" href="https://dashboard.addpipe.com/signup" target="_blank" style="width:min-content;">Sign-up for a free addpipe.com account</a>
        <br>
        <h3>Your addpipe.com Account Hash</h3>
        <div class="settings-body">
            <!-- General settings -->
            <table class="widefat">
                <tr>
                    <td>
                        <label for="accountHash">
                            Account Hash <br />
                            <?php echo (empty($this->accountHash)) ? "<span style='color: red;'>Missing</span>" : ''; ?>
                        </label>
                    </td>
                    <td>
                        <input id="accountHash" name="accountHash" type="text" style="width: 100%;"
                            value="<?php echo esc_attr($this->accountHash); ?>" />
                    </td>
                    <td class="comment"> The <strong>Account Hash</strong> can be found in your addpipe.com account by clicking on the top right <a href="https://dashboard.addpipe.com/account" target="_blank"><strong>Account</strong></a> link after <a href="https://addpipe.com/signin" target="_blank">signing in</a>.
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="envId">
                            Default Environment code <br />
                            <?php echo (empty($this->envId)) ? "<span style='color: red;'>Missing</span>" : ''; ?>
                        </label>
                    </td>
                    <td>
                        <input id="envId" name="envId" type="text" style="width: 100%;"
                            value="<?php echo esc_attr($this->envId); ?>" />
                    </td>
                    <td class="comment">The <strong>Environment code</strong> can be found in your addpipe.com account by clicking on the top right <a href="https://dashboard.addpipe.com/env_edit" target="_blank"><strong>Settings</strong> (cog wheels)</a> link after <a href="https://addpipe.com/signin" target="_blank">signing in</a>.
                    </td>
                </tr>

                <tr>
                    <td>
                        <label for="pipeWebhookKey">
                            Pipe Webhook Key <br />
                            <?php echo (empty($this->pipeWebhookKey)) ? "<span style='color: orange;'>Missing (Not required)</span>" : ''; ?>
                        </label>
                    </td>
                    <td>
                        <input id="pipeWebhookKey" name="pipeWebhookKey" type="text" style="width: 100%;"
                            value="<?php echo esc_attr($this->pipeWebhookKey); ?>" />
                    </td>
                    <td class="comment">In the <a href="https://dashboard.addpipe.com/webhooks" target="_blank" rel="noopener noreferrer">webhook tab</a> of your addpipe.com account, a key is automatically generated. You can use that one or reset it to generate a new one at any time. The key is required for the <a href="https://addpipe.com/docs/plugins/wordpress-plugin/" target="_blank" rel="noopener noreferrer">webhooks to work.</a>
                    </td>
                </tr>
                <tr class="alternate">
                    <td colspan="2">
                        <p><input class="button-primary" type="submit" name="save-settings" id="button-save-settings" value="Save" /></p>
                    </td>
                    <td></td>
                </tr>
            </table>
            <br>
            <h3>Webhook</h3>
            <p>If you want the recordings made through the plugin shortcodes to show up in the Recordings page, you'll have to set up a webhook in your Pipe account under the environment's Webhook section that triggers on <code>video_recorded</code>, <code>video_converted</code> and <code>video_copied_pipe_s3</code> events and that uses the URL below.</p>
            <p><strong>URL:</strong><code><?php echo esc_url(get_admin_url()); ?>admin-ajax.php?action=addpipeWebhook</code></p>
            <a href="https://addpipe.com/docs/plugins/wordpress-plugin/" target="_blank">Learn more about setting up the webhook</a>
            <br>
            <h3>Support</h3>
            <p>If you require support, please contact us at <a href="mailto:support@addpipe.com">support@addpipe.com</a>.</p>
        </div>
    </div>
</div>
<?php
